

-- Copyright (C) 2020 2026 PsycoJaker

-- This file is part of UwU Minetest Mod.

-- UwU Mod is free software: you can redistribute it and/or modify
-- it under the terms of the GNU Affero General Public License as
-- published by the Free Software Foundation, either version 3 of the
-- License, or (at your option) any later version.

-- UwU Mod is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU Affero General Public License for more details.

-- You should have received a copy of the GNU Affero General Public License
-- along with UwU Mod.  If not, see <https://www.gnu.org/licenses/>.



-----------------UWU-----------------

-- uwu/init.lua

local modpath = core.get_modpath(core.get_current_modname())

dofile(modpath .. "/tools.lua")
dofile(modpath .. "/crafts.lua")
dofile(modpath .. "/functions.lua")
dofile(modpath .. "/nodes.lua")
dofile(modpath .. "/oregen.lua")
dofile(modpath .. "/pet.lua")

-- legacy alias
core.register_alias("uwu:espadita_uwu", "uwu:sword")
core.register_alias("uwu:piquito_uwu", "uwu:pick")
core.register_alias("uwu:hachita_uwu", "uwu:axe")
core.register_alias("uwu:palita_uwu", "uwu:shovel")
core.register_alias("uwu:bloque_uwu", "uwu:block")
core.register_alias("uwu:cristalcito_uwu", "uwu:crystal")
core.register_alias("uwu:stone_with_uwu", "uwu:ore")
